Bug 1476134 - The version of service-catalog is UNKNOWN
Summary: The version of service-catalog is UNKNOWN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.7.0
Assignee: Jeff Peeler
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-28 06:18 UTC by DeShuai Ma
Modified: 2017-11-28 22:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This fixes running both service-catalog binaries (apiserver / controller-manager) when used with the --version flag and reports the correct value rather than unknown.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:05:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Comment 1 Derek Carr 2017-07-28 14:52:12 UTC
this is a known issue that will need to be fixed before final release of service-catalog.

see upstream:
https://github.com/kubernetes-incubator/service-catalog/issues/722

Comment 2 Paul Morie 2017-07-28 14:54:29 UTC
I agree this is not a blocker, though it should be fixed before 3.7

Comment 3 Zhang Cheng 2017-09-21 02:16:35 UTC
I elevated the priority since we cannot identify the current test version of service-catalog, but not only depend on the image tag. And, it should be fixed in OCP3.7

Comment 4 Jeff Peeler 2017-10-18 14:37:17 UTC
Version information has been added in the latest rebase: https://github.com/openshift/origin/pull/16908

Comment 5 Jeff Peeler 2017-10-20 14:49:25 UTC
Rebase PR has merged

Comment 10 errata-xmlrpc 2017-11-28 22:05:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.